package com.fs.app.controller;

import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.json.JSONObject;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.Map;


@Api("企微消息")
@RestController
@RequestMapping(value="/msg")
@Slf4j
public class QwMsgController {

    @PostMapping("/callback")
    @ResponseBody
    public Map<String,String> callback(@RequestBody String json ){
        System.out.println("来了");
        System.out.println(json);
//        System.out.println(json.get("json"));
//        System.out.println(json.get("uuid"));
        HashMap<String, String> map = new HashMap<>();
        map.put("errorcode","0");
        map.put("errmsg","ok");
        return map;
    }
}
